httpd-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Severin Gehwolf <Severin.Gehw...@uibk.ac.at>
Subject Re: [users@httpd] Incorporating apr-1.3.2 into httpd-2.2.9 build
Date Wed, 02 Jul 2008 06:39:06 GMT
Hi!

> Making install in apr-util
> make[2]: Entering directory `.../apache_builds/httpd-2.2.9/srclib/apr-util'
> .../apache_builds/httpd-2.2.9/srclib/apr/build/mkdir.sh 
> .../apache_2.2.9_rel01/lib/apr-util-1
> /bin/bash: -c: line 1: syntax error near unexpected token `;'
> /bin/bash: -c: line 1: `for m in ; do /bin/bash 
> .../apache_builds/httpd-2.2.9/srclib/apr/libtool  --silent --mode=install

Let me guess: You are trying to build apache 2.2.9 on a Solaris 2.x box?
The above error appears upon "make install", right?

If so, Solaris 2.x provides some horribly old bash which does not
understand some syntax used here. I ran into a similar problem a few
weeks ago and installed/linked a newer bash version (version 3.x)
in /bin/bash (was bash 2.x) which fixed the problem. With bash 3.2.x
"make install" worked as expected.

Maybe you should give it a try :-)

Severin


---------------------------------------------------------------------
The official User-To-User support forum of the Apache HTTP Server Project.
See <URL:http://httpd.apache.org/userslist.html> for more info.
To unsubscribe, e-mail: users-unsubscribe@httpd.apache.org
   "   from the digest: users-digest-unsubscribe@httpd.apache.org
For additional commands, e-mail: users-help@httpd.apache.org


Mime
View raw message